Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.progress
Interface IProgressConstants

public interface IProgressConstants

Constants relating to progress UI functionality of the workbench plug-in.

The four constants define property keys that are used to associate UI related information with Jobs (`org.eclipse.core.runtime.jobs.Job`).

Since:
  3.0
See Also:
  `Job.setProperty(org.eclipse.core.runtime.QualifiedName, java.lang.Object)`

Field Summary
`static QualifiedName` | `ACTION_PROPERTY` This property is used to associate an `IAction` with a Job.
`static QualifiedName` | `ICON_PROPERTY` This property is used to associate an `ImageDescriptor` with a Job.
`static QualifiedName` | `KEEP_PROPERTY` This property provides a hint to the progress UI to keep Jobs in the UI after they have finished.
`static QualifiedName` | `KEEPONE_PROPERTY` The KEEPONE_PROPERTY is an extension to the KEEP_PROPERTY, that provides a hint to the progress UI to ensure that only a single Job of a Job family is kept in the set of kept Jobs.
`static String` | `PROGRESS_VIEW_ID` Constant for the progress view id.
`static QualifiedName` | `PROPERTY_IN_DIALOG` This is a property set on a user job if the user has not decided to run the job in the background.
`static String` | `PROPERTY_PREFIX` Common prefix for properties defined in this interface.

Field Detail

### PROPERTY_PREFIX

    public static final String PROPERTY_PREFIX

  Common prefix for properties defined in this interface.

  See Also:
    Constant Field Values

### KEEP_PROPERTY

    public static final QualifiedName KEEP_PROPERTY

  This property provides a hint to the progress UI to keep Jobs in the UI after they have finished. This can be used to communicate results of a Job back to the user.

  The property must be of type `Boolean` and the hint is used if its value is `true`.

### KEEPONE_PROPERTY

    public static final QualifiedName KEEPONE_PROPERTY

  The KEEPONE_PROPERTY is an extension to the KEEP_PROPERTY, that provides a hint to the progress UI to ensure that only a single Job of a Job family is kept in the set of kept Jobs. That is, whenever a Job that has the KEEPONE_PROPERTY starts or finishes, all other kept Jobs of the same family are removed first.

  Membership to family is established by implementing a Job's `belongsTo` method and returning `true`.

  Please note that other Jobs of the same family are only removed if they have finished. Non finshed jobs of the same family are left alone.

### ACTION_PROPERTY

    public static final QualifiedName ACTION_PROPERTY

  This property is used to associate an `IAction` with a Job. If the Job is shown in the UI, the action might be represented as a button or hyper link to allow the user to trigger a job specific action, like showing the Job's results.

  The progress UI will track the enabled state of the action and its tooltip text.

  If the action implements `ActionFactory.IWorkbenchAction`, its `dispose` method will be called as soon as the Job is finally removed from the set of kept jobs.

  See Also:
    `IAction`, `ActionFactory.IWorkbenchAction`

### ICON_PROPERTY

    public static final QualifiedName ICON_PROPERTY

  This property is used to associate an `ImageDescriptor` with a Job. If the Job is shown in the UI, this descriptor is used to create an icon that represents the Job.

  Please note, that this property is only used if no `ImageDescriptor` has been registered for the Job family with the `IProgressService`.

  See Also:
    `ImageDescriptor`, `IProgressService`

### PROGRESS_VIEW_ID

    public static final String PROGRESS_VIEW_ID

  Constant for the progress view id.

  See Also:
    Constant Field Values

### PROPERTY_IN_DIALOG

    public static final QualifiedName PROPERTY_IN_DIALOG

  This is a property set on a user job if the user has not decided to run the job in the background. The value is set to `true` when the job starts and set to `false` if the user subsequently decides to complete the job in the background. This property is not intended to be set by clients.

  See Also:
    `Job.isUser()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.